﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Uploading Users using Database Connection</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Users using Database Connection</h1>
        <p>In this type of user upload, the direct connection is made to the external and identity-aware applications such as MySQL, client database to pull the user details into the Saviynt database. Database connector is used for importing identities, access from an external database into IGA. The same connector is also used for creating a new account and provisioning access in an external database. For more information on database connector, see the Saviynt Database Connector Guide.</p>
        <p>To upload users using the database connection, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>Admin &gt; Identity Repository &gt; Connections</strong> and create a new database connection. For more information on creating connections, refer to the Creating Connections section.<br /></p>
            </li>
            <li>
                <p>Place the schema files mapping the user details from the client database user table to Saviynt database user table in <label class="filename-path">C:/saviynt/Import/Datafiles/xmlschemaforextranaldbimport</label> directory.<br /></p>
            </li>
            <li>
                <p>Review and ensure source database user parameters are mapped to the Saviynt database user table fields. The first part of the .xml consists of the query that will fetch the results. The second part (importsettings) consists of additional parameters settings, which have various implications when a user is imported. The last part (&lt;mapper&gt;) consists of the mappings from source database to Saviynt database.<br /></p>
            </li>
            <li>
                <p>Using <strong>Admin &gt; Job Control Panel</strong> create the job using<strong> Add New Job</strong>. Select the Job Type as<strong> Data &gt; User Import </strong>and specify the Job Name and click<strong> Save</strong>. If you are using IGA Release pre-v5.5.0 then go to <strong>Admin &gt; JobControlPanel &gt; Database &gt; Users Import (Complete) from Database (SystemImportFulljob)</strong>. Click on the <strong>Add New Job</strong> which opens a pop up allowing you to create a new instance of the job.<br /></p>
            </li>
            <li>
                <p>Once you create a new instance of the job, click on the <strong>Users Import (Complete) from Database (SystemImportFulljob)</strong> to view the job you created. Click the <strong>Action</strong> arrow and click <strong>START</strong> to execute the job.<br /></p>
            </li>
            <li>
                <p>Select the appropriate Connection, File Name and click <strong>Submit</strong>.</p>
            </li>
            <li>
                <p>Once the job executes, the users will be imported into Saviynt identity repository.</p>
            </li>
        </ol>
    </body>
</html>